# Interface TimeFormatterProperties

Properties that can be passed into the constructor for utilities/format/time!TimeFormatter.

interface TimeFormatterProperties {
defaultFormat?: string;
defaultParseFormat?: string | string[];
locale?: string;
}

#### Hierarchy (view full)

- TimeSettings
  - TimeFormatterProperties

#####
Index

### Properties

defaultFormat?
defaultParseFormat?
locale?

##
Properties

### `Optional` defaultFormat

defaultFormat?: string

The default format for formatting times. See utilities/format/time!TimeFormatter.format.

Inherited from TimeSettings.defaultFormat

### `Optional` defaultParseFormat

defaultParseFormat?: string | string[]

Either a single format, or one of several possible formats that the input is expected to be in. If specified, the input must exactly match. The syntax is the same as for utilities/format/time!TimeFormatter.format.

Inherited from TimeSettings.defaultParseFormat

### `Optional` locale

locale?: string

The locale to use when formatting & parsing the number. If not specified, the current locale is used (see locale module).